Skip to main content
GET
/
api2
/
v1
/
notifications
List notifications
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/notifications \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "uid": "<string>",
      "seen": true,
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateSeen": "2023-11-07T05:31:56Z",
      "projectUid": "<string>",
      "jobPartUid": "<string>",
      "commentUid": "<string>",
      "messageBody": "<string>",
      "messageTitle": "<string>"
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  },
  "responseTimestamp": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:20

Page size, accepts values between 1 and 50, default 20

Required range: 1 <= x <= 50
category
enum<string>

Filtered by notification category

Available options:
SEEN,
UNSEEN
createdBeforeDate
string

Filtered by create date time in ISO 8601 UTC format

createdAfterDate
string

Filtered by create date time in ISO 8601 UTC format

Response

200 - application/json

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object
responseTimestamp
string<date-time>